#!/bin/sh
# Script desenvolvido por Ricardo Guedes <rguedes@gmail.com>
# para automatizar o processo de aplicao de patches no SAGE 2014.

cd $SAGE

echo "***** Instalando patches *****"
echo ""

for patch_csh in `ls | grep patch | grep .csh`; do #relao de patch com extenso .csh
	
  echo "Instalando patch $patch_csh"

  cmd_out=`csh $patch_csh -i 0 | grep Erro`; #Executa a instalao do patch de forma silenciosa.

  if [ ! -z "$cmd_out" ]; then
    echo "=> Patch ja instalado"
  else 
    echo "=> Patch instalado com sucesso"
  fi

  echo "----------------------------"
  echo " "

  if [ -f $patch_csh ]; then
    rm -f $patch_csh; #remove os arquivos de patch temporrios.
  fi
done

for patch_targz in `ls | grep patch | grep .tar.gz`; do #relao de patch com extenso .tar.gz
  if [ -f "$patch_targz" ]; then
    echo "Extraindo patch $patch_targz"
    
    tar xvzf $patch_targz;
    echo "----------------------------"
    echo " "
    
    rm -f $patch_targz; #remove os arquivos de patch temporrios.
    sleep 1
  fi
done
echo "***** Fim da instalao de patches *****"
echo ""

